complete.cases {stats} | R Documentation

## Find Complete Cases

### Description

Return a logical vector indicating which cases are complete, i.e., have no missing values.

### Usage

    complete.cases(...)

### Arguments

`...` | a sequence of vectors, matrices and data frames.

### Value

A logical vector specifying which observations/rows have no missing values across the entire sequence.

### See Also

`is.na`, `na.omit`, `na.fail`.

### Examples

    x <- airquality[, -1] # x is a regression design matrix
    y <- airquality[,  1] # y is the corresponding response

    stopifnot(complete.cases(y) != is.na(y))
    ok <- complete.cases(x,y)
    sum(!ok) # how many are not "ok" ?
    x <- x[ok,]
    y <- y[ok]

[Package stats version 2.3.1 Index]